CGAL 6.1.2 - 2D Arrangements: CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Construct_point_2 Class Reference

CGAL 6.1.2 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Construct_point_2 Class Reference

`#include <CGAL/Arr_algebraic_segment_traits_2.h>`

## Object Creation Functors
Point_2 | operator() (Algebraic_real_1 x, Curve_2 cv, int arcno)
| returns a `Point_2` object that represents the `arcno`-th point in the fiber of `cv` at \(x\)-coordinate `x`, counted from the bottom, starting with zero.
Point_2 | operator() (Algebraic_real_1 x, X_monotone_curve_2 xcv)
| returns a `Point_2` object that represents the point on `xcv` at \(x\)-coordinate `x`
Point_2 | operator() (Algebraic_real_1 x, Algebraic_real_1 y)
| returns a `Point_2` object that represents (x,y)
Point_2 | operator() (Coefficient x, Coefficient y)
| returns a `Point_2` object that represents (x,y)
Point_2 | operator() (Bound x, Bound y)
| returns a `Point_2` object that represents (x,y)
Point_2 | operator() (int x, int y)
| returns a `Point_2` object that represents (x,y)

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Coefficient >

Point_2 CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Construct_point_2::operator() | ( | Algebraic_real_1 | x,
|  | Curve_2 | cv,
|  | int | arcno
| ) |  |

returns a `Point_2` object that represents the `arcno`-th point in the fiber of `cv` at \(x\)-coordinate `x`, counted from the bottom, starting with zero.

Precondition
  (`cv` must not have a vertical line at `x`, and \(0\leq arcno < c\), where \(c\) is the number of points in the fiber of `cv` at `x`.)

## ◆ operator()() [2/2]

template<typename Coefficient >

Point_2 CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Construct_point_2::operator() | ( | Algebraic_real_1 | x,
|  | X_monotone_curve_2 | xcv
| ) |  |

returns a `Point_2` object that represents the point on `xcv` at \(x\)-coordinate `x`

Precondition
  (`x` is in the \(x\)-range of `xcv`.)